Texa Desk Application API · Inboxes
Get an inbox
GET/
Get an inbox available in the current account
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
idnumberrequiredID of the inbox
Responses
200Success
idnumberID of the inbox
namestringThe name of the inbox
website_urlstringWebsite URL
page_idstringFacebook Page ID associated with the inbox
instagram_idstringInstagram account ID associated with the inbox
business_idstringTikTok business ID associated with the inbox
provider_namestringProvider username or page name associated with the social inbox
profile_idstringX profile ID associated with the inbox
line_channel_idstringLINE channel ID associated with the inbox
emailstringEmail address associated with the inbox
bot_namestringTelegram bot name associated with the inbox
inbox_identifierstringPublic identifier associated with an API inbox
channel_typestringThe type of the inbox
avatar_urlstringThe avatar image of the inbox
widget_colorstringWidget Color used for customization of the widget
website_tokenstringWebsite Token
enable_auto_assignmentbooleanThe flag which shows whether Auto Assignment is enabled or not
web_widget_scriptstringScript used to load the website widget
welcome_titlestringWelcome title to be displayed on the widget
welcome_taglinestringWelcome tagline to be displayed on the widget
greeting_enabledbooleanThe flag which shows whether greeting is enabled
greeting_messagestringA greeting message when the user starts the conversation
channel_idnumberID of the channel this inbox belongs to
working_hours_enabledbooleanThe flag which shows whether working hours feature is enabled
enable_email_collectbooleanThe flag to enable collecting email from contacts
csat_survey_enabledbooleanThe flag to enable CSAT survey
auto_assignment_configobjectConfiguration settings for auto assignment
out_of_office_messagestringMessage to show when agents are out of office
working_hoursarray of objectConfiguration for working hours of the inbox
working_hours[].day_of_weeknumberDay of the week (0-6, where 0 is Sunday)
working_hours[].closed_all_daybooleanWhether the inbox is closed for the entire day
working_hours[].open_hournumberHour when inbox opens (0-23)
working_hours[].open_minutesnumberMinutes of the hour when inbox opens (0-59)
working_hours[].close_hournumberHour when inbox closes (0-23)
working_hours[].close_minutesnumberMinutes of the hour when inbox closes (0-59)
working_hours[].open_all_daybooleanWhether the inbox is open for the entire day
timezonestringTimezone configuration for the inbox
callback_webhook_urlstringWebhook URL for callbacks
allow_messages_after_resolvedbooleanWhether to allow messages after a conversation is resolved
lock_to_single_conversationbooleanWhether to lock a contact to a single conversation
sender_name_typestringType of sender name to display (e.g., friendly)
business_namestringBusiness name associated with the inbox
branded_email_layoutstringLiquid HTML layout for branded email replies. Available to administrators for Email inbox show/update responses.
hmac_mandatorybooleanWhether HMAC verification is mandatory
selected_feature_flagsarray of stringSelected feature flags for the inbox
reply_timestringExpected reply time
messaging_service_sidstringMessaging service SID for SMS providers
phone_numberstringPhone number associated with the inbox
mediumstringMedium of communication (e.g., sms, email)
providerstringProvider of the channel
404Inbox not found
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring403Access denied
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring